import httpRequest from '@/utils/axios'

/**
 * 获取案例列表
 */
export function getCaseList(params) {
  return httpRequest.get('/api/xtraining/admin/v1/cases', { params })
}
/**
 * 获取类型列表
 */
export function getCategoryList(params) {
  return httpRequest.get('/api/xtraining/admin/v1/categories', { params })
}
/**
 * 新建案例
 */
export function createCase(data) {
  return httpRequest.post('/api/xtraining/admin/v1/case', data)
}
/**
 * 更新案例
 */
export function updateCase(id, data) {
  return httpRequest.put(`/api/xtraining/admin/v1/case/${id}`, data)
}
/**
 * 删除案例
 */
export function deleteCase(id) {
  return httpRequest.delete(`/api/xtraining/admin/v1/case/${id}`)
}
/**
 * 获取案例详情
 */
export function getCaseDetails(id) {
  return httpRequest.get(`/api/xtraining/admin/v1/case/${id}`)
}

/* ********** 产品分析 ************ */

/**
 * 获取题干列表
 */
export function getStemList(params) {
  return httpRequest.get('/api/xtraining/admin/v1/completion/question-stems', { params })
}
/**
 * 获取题目列表
 */
export function getQuesList(id) {
  return httpRequest.get(`/api/xtraining/admin/v1/completion/questions/${id}`)
}
/**
 * 创建题干
 */
export function createStem(data) {
  return httpRequest.post('/api/xtraining/admin/v1/completion/question-stem', data)
}
/**
 * 删除题干
 */
export function deleteStem(id) {
  return httpRequest.delete(`/api/xtraining/admin/v1/completion/question-stem/${id}`)
}
/**
 * 新建题目
 */
export function createQues(data) {
  return httpRequest.post('/api/xtraining/admin/v1/completion/question', data)
}
/**
 * 更新题目
 */
export function updateQues(id, data) {
  return httpRequest.put(`/api/xtraining/admin/v1/completion/question/${id}`, data)
}
/**
 * 删除题目
 */
export function deleteQues(id) {
  return httpRequest.delete(`/api/xtraining/admin/v1/completion/question/${id}`)
}
/**
 * 获取题目答案列表
 */
export function getQuesAnswerList(params) {
  return httpRequest.get(`/api/xtraining/admin/v1/completion/rules/${params.id}`)
}
/**
 * 新建题目答案
 */
export function createQuesAnswer(id, data) {
  return httpRequest.post(`/api/xtraining/admin/v1/completion/rule/${id}`, data)
}
/**
 * 更新题目答案
 */
export function updateQuesAnswer(id, data) {
  return httpRequest.put(`/api/xtraining/admin/v1/completion/rule/${id}`, data)
}
/**
 * 删除题目答案
 */
export function deleteQuesAnswer(id) {
  return httpRequest.delete(`/api/xtraining/admin/v1/completion/rule/${id}`)
}
